import * as readlineSync from 'readline-sync';


function Numbers(n: number): void {
    let numbers: number[] = [];

    for (let i = 0; i < n; i++) {
        let input = readlineSync.questionInt(`Entrez le nombre ${i + 1}:`);
        if (input !== null) {
            let num = Number(input);
            if (!isNaN(num)) {
                numbers.push(num);
            } else {
                console.log("Veuillez entrer un nombre valide.");
                i--; 
            }
        }
    }

    let evenNumbers = numbers.filter(num => num % 2 === 0);
    
    console.log("Nombres pairs:", evenNumbers);
}

Numbers(5);
