import { multAdd, puissanceMult } from "./MesMaths.ts";
import { assertEquals } from "jsr:@std/assert/equals";
import { assertAlmostEquals } from "jsr:@std/assert/almost-equals";

Deno.test("cas général", () => {
    assertEquals(multAdd(3, 8), 24);
});
Deno.test("multiplication par 0", () => {
    assertEquals(multAdd(3, 0), 0);
});
Deno.test("multiplication par un nombre négatif", () => {
    assertEquals(multAdd(3, -8), -24);
});
Deno.test("multiplication par 2 nombre négatif", () => {
    assertEquals(multAdd(-8, -8), 64);
});
Deno.test("Puissance par un nombre négatif", () => {
    assertEquals(puissanceMult(-5, 9), -1953125);
});
Deno.test("Puissance par un nombre négatif", () => {
    assertEquals(puissanceMult(5, -9), -1953125);
});



